from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.resource import XStringResourceResolver

@runtime_checkable
class XStringResourceManager(XStringResourceResolver, Protocol):
    def isReadOnly(self) -> bool: ...
